Bug 574342 - Review Request: rubygem-xmpp4r-simple - A simplified Jabber client library
Summary: Review Request: rubygem-xmpp4r-simple - A simplified Jabber client library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-17 10:10 UTC by Mark Chappell
Modified: 2010-04-27 02:13 UTC (History)
3 users (show)

Fixed In Version: rubygem-xmpp4r-simple-0.8.8-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-09 16:37:17 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mark Chappell 2010-03-17 10:10:02 UTC
Spec URL: http://tremble.fedorapeople.org/packages/rubygem-xmpp4r-simple.spec
SRPM URL: http://tremble.fedorapeople.org/packages/rubygem-xmpp4r-simple-0.8.8-1.fc12.src.rpm

Description: 
Jabber::Simple takes the strong foundation laid by xmpp4r and hides the
relatively high complexity of maintaining a simple instant messenger bot in
Ruby.

Comment 1 Mamoru TASAKA 2010-04-04 18:25:47 UTC
Initial comments:

* Requires/BuildRequires
  - ">= 0.3.2" for (Build)Requires: rubygem(xmpp4r) is redundant
    because the least version of rubygem-xmpp4r on Fedora is 0.5.

  - ">= 0" for (Build)Requires is redundant.

* Macros
  - As %geminstdir is defined, please use this defined even in
    %files

* Duplicate %files entry
  - From build.log:
-------------------------------------------------------------
    56  Processing files: rubygem-xmpp4r-simple-0.8.8-1.fc13.noarch
    57  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/xmpp4r-simple-0.8.8/COPYING
    58  warning: File listed twice: /usr/lib/ruby/gems/1.8/gems/xmpp4r-simple-0.8.8/README
-------------------------------------------------------------
    And from $ rpm -qlp:
-------------------------------------------------------------
$ rpm -qlp *rpm | sort | uniq -d
/usr/lib/ruby/gems/1.8/gems/xmpp4r-simple-0.8.8/test
/usr/lib/ruby/gems/1.8/gems/xmpp4r-simple-0.8.8/test/test_xmpp4r_simple.rb
-------------------------------------------------------------
    These files or directories are listed more than once. Please
    fix %files list so that all files/directories appear only once.

Comment 2 Mark Chappell 2010-04-05 10:26:41 UTC
* Requires/BuildRequires
- Changed

* Macros
- Now consistently used in %files

* Duplicate %files entry
- Caught out by forgetting to use %dir macro

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2095124
SRPM: http://tremble.fedorapeople.org/packages/rubygem-xmpp4r-simple-0.8.8-2.fc12.src.rpm
SPEC: http://tremble.fedorapeople.org/packages/rubygem-xmpp4r-simple.spec


Thank you for your time.

Comment 3 Mamoru TASAKA 2010-04-05 15:38:42 UTC
Okay.

-----------------------------------------------------------------
   This package (rubygem-xmpp4r-simple) is APPROVED by mtasaka
-----------------------------------------------------------------

Comment 4 Mamoru TASAKA 2010-04-05 17:18:53 UTC
Forgot to mention that please fix %changelog entry when importing
into Fedora CVS

Comment 5 Mark Chappell 2010-04-05 17:32:47 UTC
re: %changelog - will do

New Package CVS Request
=======================
Package Name: rubygem-xmpp4r-simple
Short Description: A simplified Jabber client library
Owners: tremble
Branches: F-12 F-13 EL-5

Comment 6 Kevin Fenzi 2010-04-08 02:43:31 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-04-09 08:47:54 UTC
rubygem-xmpp4r-simple-0.8.8-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-xmpp4r-simple-0.8.8-2.fc12

Comment 8 Mamoru TASAKA 2010-04-09 16:37:17 UTC
Closing.

Comment 9 Fedora Update System 2010-04-27 02:13:18 UTC
rubygem-xmpp4r-simple-0.8.8-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.